ریکاوری کردن بکاپ قدیمی


#1

سلام
من یه سرور زبیکس دارم که الان رو نسخه ۴.۰.۰ داره کار میکنه .
یک بکاپ قدیمی تر که نسخه ۳.۴ هست رو دارم . بدون اینکه زبیکس رو دانگرید کنم یا دوباره نصب کنم راهی هست بشه همین بکاپ رو به نسخه ۴.۰.۱ بروز سانی کرد ‌؟‌ الان وقتی دیتا رو روی دیتابیس برمیگردونم پیام زیر رو میگیرم

The frontend does not match Zabbix database. Current database version (mandatory/optional): 3040000/3040007. Required mandatory version: 4000000. Contact your system administrator.


#2

سلام
در زبیکس نسخه ۴ به محض اینکه سرویس زبیکس Start می شه خودش دیتابیس رو به نسخه ی ۴ ارتقاء می ده
این پیامی که شما دریافت کردین به علت اینه که نسخه ی دیتابیس شما با نسخه ی زبیکس نصب شده یکی نیست

بنابراین فقط کافیه که تنظیمات زبیکس تون رو برای اتصال به دیتابیسی که نسخه ی قدیمی روش هست تغییر بدین و سرویس زبیکس رو Start کنین
البته حتما قبل از این کار یه Backup از دیتابیستون بگیرید.


#3

در جهت تکمیل صحبت m.ghayem باید عرض کنم بعد از بازگردانی فایل Backup دیتابیس و نصب ورژن 4، یک بار کلیه سرویس های zabbix رو restart کنید تا فرآیند ارتقا به صورت اتوماتیک انجام بشه.